summaryrefslogtreecommitdiffstats
path: root/bugs-in-changelog.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2010-11-24 14:28:32 +0000
committerRichard W.M. Jones <rjones@redhat.com>2010-11-24 14:29:31 +0000
commitc1592ac93886e7f39a6017272b2486d3f411d054 (patch)
treedc5f5f814f5a9614721a9d2392f3c2b051d71616 /bugs-in-changelog.sh
parent0f478933108de342b0948b9e3cc6d4f00fbbfe0a (diff)
downloadlibguestfs-c1592ac93886e7f39a6017272b2486d3f411d054.tar.gz
libguestfs-c1592ac93886e7f39a6017272b2486d3f411d054.tar.xz
libguestfs-c1592ac93886e7f39a6017272b2486d3f411d054.zip
build: Rename bugs-in-changelog.sh
Diffstat (limited to 'bugs-in-changelog.sh')
-rwxr-xr-xbugs-in-changelog.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/bugs-in-changelog.sh b/bugs-in-changelog.sh
new file mode 100755
index 00000000..9173fa42
--- /dev/null
+++ b/bugs-in-changelog.sh
@@ -0,0 +1,46 @@
+#!/bin/bash -
+# bugs-in-changelog.sh
+# Copyright (C) 2009-2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Used when preparing the RELEASE-NOTES file. This script looks at
+# the bugs noted in the git changelog since the last stable release
+# (or any release). To use it, the only parameter should be the git
+# commit range, eg:
+#
+# ./bugs-in-changelog.sh "1.0.89.."
+
+if [ -z "$1" ]; then
+ echo "$0 git-commit-range"
+ exit 1
+fi
+
+# Comma-separated list of Bugzilla IDs.
+bugids=$(
+ git log "$1" | egrep -o 'RHBZ#[0-9]+' |
+ sed 's/RHBZ#//' |
+ sort -u |
+ tr '\n' ',' |
+ sed 's/,$//'
+)
+
+#echo bugids "$bugids"
+
+# Filter out any bugs which may still be in NEW or ASSIGNED:
+bugzilla query -b "$bugids" \
+ -t MODIFIED,POST,ON_QA,PASSES_QA,VERIFIED,RELEASE_PENDING,CLOSED \
+ --outputformat=' - %{bug_id} %{short_desc}' |
+ sort -n -r